## org.gnu.gtk
Class MenuFactoryType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.MenuFactoryType

public class MenuFactoryType
extends org.gnu.glib.Enum

Field Summary
`static MenuFactoryType` `MENU`
`static MenuFactoryType` `MENU_BAR`
`static MenuFactoryType` `OPTION_MENU`

Method Summary
`MenuFactoryType` `and(MenuFactoryType other)`
`static MenuFactoryType` `intern(int value)`
`MenuFactoryType` `or(MenuFactoryType other)`
`boolean` `test(MenuFactoryType other)`
`MenuFactoryType` `xor(MenuFactoryType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MENU

    public static final MenuFactoryType MENU

### MENU_BAR

    public static final MenuFactoryType MENU_BAR

### OPTION_MENU

    public static final MenuFactoryType OPTION_MENU

Method Detail

### intern

    public static MenuFactoryType intern(int value)

### or

    public MenuFactoryType or(MenuFactoryType other)

### and

    public MenuFactoryType and(MenuFactoryType other)

### xor

    public MenuFactoryType xor(MenuFactoryType other)

### test

    public boolean test(MenuFactoryType other)